Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core.env
Class MissingRequiredPropertiesException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalStateException
                      org.springframework.core.env.MissingRequiredPropertiesException

All Implemented Interfaces:
  java.io.Serializable

    public class MissingRequiredPropertiesException

extends java.lang.IllegalStateException

Exception thrown when required properties are not found.

Since:
  3.1
Author:
  Chris Beams
See Also:
  `ConfigurablePropertyResolver.setRequiredProperties(String...)`, `ConfigurablePropertyResolver.validateRequiredProperties()`, `AbstractApplicationContext.prepareRefresh()`, Serialized Form

Constructor Summary
`MissingRequiredPropertiesException()`

Method Summary
`java.lang.String` | `getMessage()`
`java.util.Set<java.lang.String>` | `getMissingRequiredProperties()` Return the set of properties marked as required but not present upon validation.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MissingRequiredPropertiesException

    public MissingRequiredPropertiesException()

Method Detail

### getMissingRequiredProperties

    public java.util.Set<java.lang.String> getMissingRequiredProperties()

  Return the set of properties marked as required but not present upon validation.

  See Also:
    `ConfigurablePropertyResolver.setRequiredProperties(String...)`, `ConfigurablePropertyResolver.validateRequiredProperties()`

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD